Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.property
Class AbstractPropertyMapKey

    java.lang.Object
      com.bea.p13n.property.AbstractPropertyMapKey

All Implemented Interfaces
  PropertyMapKey, Serializable

    public abstract class AbstractPropertyMapKey

extends Object
implements PropertyMapKey, Serializable

Lightweight object used as a key for entity properties.

See Also
  `EntityPropertyCache`, Serialized Form

Constructor Summary
`AbstractPropertyMapKey()` Default constructor
`AbstractPropertyMapKey(String aFullPropertyName)` Another initializing Constructor
`AbstractPropertyMapKey(String aPropertySetName, String aPropertyName)` Initializing Constructor

Method Summary
`int` | `compareTo(Object o)` Standard compareTo operator
`boolean` | `equals(Object o)` Equals operator
`String` | `getPropertyName()` Get the name of the property
`String` | `getPropertySetName()` Get the PropertySet this property belongs to
`int` | `hashCode()` Calculate a hashCode based on all fields, for lookups in a HashMap
`void` | `setPropertyName(String aPropertyName)` Set the name of the property
`void` | `setPropertySetName(String aPropertySetName)` Set the PropertySet this property belongs to
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractPropertyMapKey

    public AbstractPropertyMapKey()

  Default constructor

### AbstractPropertyMapKey

    public AbstractPropertyMapKey(String aPropertySetName,
                                  String aPropertyName)

  Initializing Constructor

  Parameters
    `aPropertySetName` - the property set for this key
    `aPropertyName` - the property name for this key

### AbstractPropertyMapKey

    public AbstractPropertyMapKey(String aFullPropertyName)

  Another initializing Constructor

  Parameters
    `aFullPropertyName` - full qualified property name in format of PropertySetName.PropertyName

Method Detail

### equals

    public boolean equals(Object o)

  Equals operator

  Overrides:
    `equals` in class `Object`
  Parameters
    `o` - the object to compare
  Returns
    true if it is the same kind of object, and all fields match

### compareTo

    public int compareTo(Object o)

  Standard compareTo operator

### hashCode

    public int hashCode()

  Calculate a hashCode based on all fields, for lookups in a HashMap

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  Returns
    a String representation of this map key

### setPropertySetName

    public void setPropertySetName(String aPropertySetName)

  Set the PropertySet this property belongs to

### getPropertySetName

    public String getPropertySetName()

  Get the PropertySet this property belongs to

  Specified by:
    `getPropertySetName` in interface `PropertyMapKey`

### setPropertyName

    public void setPropertyName(String aPropertyName)

  Set the name of the property

### getPropertyName

    public String getPropertyName()

  Get the name of the property

  Specified by:
    `getPropertyName` in interface `PropertyMapKey`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.